Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class PrescriptionType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.PrescriptionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class PrescriptionType

extends Object
implements Serializable

Generiek type voor een medisch voorschrift in een aanvraag.

Java class for PrescriptionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PrescriptionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApprovalNumberType"/>
             <element name="PrescriptionDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="PrescriptionDocument" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PrescriptionType()`

Method Summary
`String` | `getApprovalNumber()` Gets the value of the approvalNumber property.
`org.joda.time.DateTime` | `getPrescriptionDate()` Gets the value of the prescriptionDate property.
`DocumentListType` | `getPrescriptionDocument()` Gets the value of the prescriptionDocument property.
`void` | `setApprovalNumber(String value)` Sets the value of the approvalNumber property.
`void` | `setPrescriptionDate(org.joda.time.DateTime value)` Sets the value of the prescriptionDate property.
`void` | `setPrescriptionDocument(DocumentListType value)` Sets the value of the prescriptionDocument property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrescriptionType

    public PrescriptionType()

Method Detail

### getApprovalNumber

    public String getApprovalNumber()

  Gets the value of the approvalNumber property.

  Returns:
    possible object is `String`

### setApprovalNumber

    public void setApprovalNumber(String value)

  Sets the value of the approvalNumber property.

  Parameters:
    `value` - allowed object is `String`

### getPrescriptionDate

    public org.joda.time.DateTime getPrescriptionDate()

  Gets the value of the prescriptionDate property.

  Returns:
    possible object is `String`

### setPrescriptionDate

    public void setPrescriptionDate(org.joda.time.DateTime value)

  Sets the value of the prescriptionDate property.

  Parameters:
    `value` - allowed object is `String`

### getPrescriptionDocument

    public DocumentListType getPrescriptionDocument()

  Gets the value of the prescriptionDocument property.

  Returns:
    possible object is `DocumentListType`

### setPrescriptionDocument

    public void setPrescriptionDocument(DocumentListType value)

  Sets the value of the prescriptionDocument property.

  Parameters:
    `value` - allowed object is `DocumentListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.